Package org.freeplane.api

# Enum Class ChildNodesAlignment.Placement

java.lang.Object
java.lang.Enum<ChildNodesAlignment.Placement>
org.freeplane.api.ChildNodesAlignment.Placement

All Implemented Interfaces:
  `Serializable`, `Comparable<ChildNodesAlignment.Placement>`, `Constable`

Enclosing class:
  `ChildNodesAlignment`

public static enum ChildNodesAlignment.Placement extends Enum<ChildNodesAlignment.Placement>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM`
`CENTER`
`TOP`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`align(int value)`
`static ChildNodesAlignment.Placement`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChildNodesAlignment.Placement[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final ChildNodesAlignment.Placement TOP

### CENTER

public static final ChildNodesAlignment.Placement CENTER

### BOTTOM

public static final ChildNodesAlignment.Placement BOTTOM

### UNKNOWN

public static final ChildNodesAlignment.Placement UNKNOWN

## Method Details

### values

public static ChildNodesAlignment.Placement[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChildNodesAlignment.Placement valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### align

public abstract int align(int value)